Page MenuHomePhabricator

Add a series of ban-templates
Closed, ResolvedPublic

Description

Affects R14

When an administrator wishes to suspend a user for an offense, the system requires the user to follow these steps:

  1. Open the account.commishes.com account page
  2. See whether the user was already suspended for the given offense.
  3. Type in a message
  4. Submit the suspension

My idea would be that R14 could generate a list of standard suspensions containing 'recipes' or 'templates' for suspensions that can be confirmed by the administrator in charge. This requires R1 to be able to accept these properly.

Revisions and Commits

Restricted Differential Revision

Event Timeline

cesar triaged this task as Normal priority.Apr 15 2020, 5:01 PM
cesar created this task.
cesar created this object with visibility "Public (No Login Required)".
cesar moved this task from Backlog to Upcoming on the Commishes board.Apr 16 2020, 7:15 PM
cesar closed this task as Resolved by committing Restricted Diffusion Commit.May 14 2020, 10:35 AM
cesar added a commit: Restricted Diffusion Commit.